# Generated by Django 5.0.4 on 2024-05-04 12:29

import django.db.models.deletion
import django.utils.timezone
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('user_auth', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Extra',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('type', models.IntegerField()),
                ('title', models.CharField(max_length=200)),
            ],
        ),
        migrations.CreateModel(
            name='ExternalCleaning',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=2000)),
                ('text', models.CharField(max_length=2000)),
                ('image', models.ImageField(blank=True, null=True, upload_to='images/')),
                ('created', models.DateField(auto_now_add=True)),
                ('coord_x', models.FloatField()),
                ('coord_y', models.FloatField()),
                ('price', models.IntegerField()),
                ('deadline', models.DateTimeField(default=django.utils.timezone.now)),
                ('room_type', models.IntegerField(default=1)),
                ('height', models.IntegerField(default=200)),
                ('area', models.IntegerField(default=100)),
                ('address', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='user_auth.address')),
                ('author', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='%(app_label)s_%(class)s_authors', to=settings.AUTH_USER_MODEL)),
                ('executor', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='%(app_label)s_%(class)s_executors', to=settings.AUTH_USER_MODEL)),
                ('extras', models.ManyToManyField(blank=True, related_name='%(app_label)s_%(class)s_extras', to='board.extra')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='DryCleaning',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=2000)),
                ('text', models.CharField(max_length=2000)),
                ('image', models.ImageField(blank=True, null=True, upload_to='images/')),
                ('created', models.DateField(auto_now_add=True)),
                ('coord_x', models.FloatField()),
                ('coord_y', models.FloatField()),
                ('price', models.IntegerField()),
                ('deadline', models.DateTimeField(default=django.utils.timezone.now)),
                ('furniture_type', models.IntegerField(default=1)),
                ('material', models.IntegerField(default=1)),
                ('address', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='user_auth.address')),
                ('author', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='%(app_label)s_%(class)s_authors', to=settings.AUTH_USER_MODEL)),
                ('executor', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='%(app_label)s_%(class)s_executors', to=settings.AUTH_USER_MODEL)),
                ('extras', models.ManyToManyField(blank=True, related_name='%(app_label)s_%(class)s_extras', to='board.extra')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ClinicOrder',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=2000)),
                ('text', models.CharField(max_length=2000)),
                ('image', models.ImageField(blank=True, null=True, upload_to='images/')),
                ('created', models.DateField(auto_now_add=True)),
                ('coord_x', models.FloatField()),
                ('coord_y', models.FloatField()),
                ('price', models.IntegerField()),
                ('deadline', models.DateTimeField(default=django.utils.timezone.now)),
                ('room_type', models.IntegerField(default=1)),
                ('room_count', models.IntegerField(default=1)),
                ('area', models.IntegerField(default=0)),
                ('type', models.IntegerField(default=1)),
                ('address', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='user_auth.address')),
                ('author', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='%(app_label)s_%(class)s_authors', to=settings.AUTH_USER_MODEL)),
                ('executor', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='%(app_label)s_%(class)s_executors', to=settings.AUTH_USER_MODEL)),
                ('extras', models.ManyToManyField(blank=True, related_name='%(app_label)s_%(class)s_extras', to='board.extra')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
